Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Interface AbleInspectorPanel

All Known Implementing Classes:
  AbleClusterDiagramPanel, AbleInspectorGeneralPanel, AbleInspectorGeneralPanel.AxesPanel, AbleInspectorLoggingDialog.RefreshRatePanel, AbleInspectorOptionsDialog.AreaChartPanel, AbleInspectorOptionsDialog.BarChartPanel, AbleInspectorOptionsDialog.LineChartPanel, AbleInspectorOptionsDialog.ScatterPlotPanel, AbleInspectorOptionsDialog.StackedAreaPanel, AbleInspectorOptionsDialog.StackedBarPanel, AbleInspectorOptionsDialog.TextPanel, AbleInspectorOptionsDialog.TextSeriesPanel, AbleInspectorOptionsDialog.TimePlotPanel, AbleNetworkGraphicPanel

public interface AbleInspectorPanel

This interface allows for a batch update rather than PropertyChange based incremental updates to the underlying bean. Classes that implement it should inherit from a Component like JPanel.

Method Summary
`java.net.URL` | `getHelpContext()` Get the URL file context to be displayed.
`java.lang.String` | `getHelpFileName()` Get the html file name to be displayed.
`java.lang.String` | `getName()` Provide a displayable name for the panel for use in displaying error dialogs should an exception be thrown from updateObject.
`void` | `setObject(java.lang.Object theObject)` Set the object to be customized.
`void` | `setPanel(java.lang.Object customInspectorPanel)` Give a reference to the associated custom Inspector view (JPanel) so this settings panel can be used to set parameters on it.
`void` | `setView()` This method does whatever the panel needs to make it represent the current view when the Apply button is pressed.
`void` | `updateObject()` Update the object to be customized by reading the panel and writing that data to the object.

Method Detail

### setObject

    public void setObject(java.lang.Object theObject)

  Set the object to be customized. This method should be called only once. It should read data from the object and write it to the panel.

  Parameters:
    `theObject` - The object to be customized.

### updateObject

    public void updateObject()
                      throws java.lang.Exception

  Update the object to be customized by reading the panel and writing that data to the object.

  Throws:
    `Throw` - an exception if panel data is invalid.
    `java.lang.Exception`

### getName

    public java.lang.String getName()

  Provide a displayable name for the panel for use in displaying error dialogs should an exception be thrown from updateObject.

### setView

    public void setView()

  This method does whatever the panel needs to make it represent the current view when the Apply button is pressed.

### setPanel

    public void setPanel(java.lang.Object customInspectorPanel)

  Give a reference to the associated custom Inspector view (JPanel) so this settings panel can be used to set parameters on it.

  Note: this is only used by Custom inspector views/panels

### getHelpFileName

    public java.lang.String getHelpFileName()

  Get the html file name to be displayed.

  Returns:
    A String containing the html file to display in the browser.

### getHelpContext

    public java.net.URL getHelpContext()

  Get the URL file context to be displayed. Able.HomeUrl is the Able context.

  Returns:
    A URL containing the html file to display in the browser.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005